: Class BrowseServlet

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class BrowseServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--BrowseServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class BrowseServlet
extends javax.servlet.http.HttpServlet

This class is used to implement the browsing in the online auction database. Browsing is used for both placing auction and bidding on a current auction. This is also used by System Administrator to add and delete categories by browsing.

1. Depending upon the parameters passed to servlet, finally control is passed to classes responsible for placing auction or bidding.
   1. If whereFrom parameter passed to servlet is sell control is passed to PlaceAuctionServlet.
   2. If whereFrom is browse control is passed to BidServlet.
   3. If whereFrom is sysad control is passed to servlets that implement sysad functions.
2. In case sysad is browsing the control is finally passed to servlets `AddCategoryServlet` for adding new categories or

See Also:
  Serialized Form

Constructor Summary
`BrowseServlet()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` `doGet` - performs the function as mentioned in the class summary.
`void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` This is empty.
`void` | `init()`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrowseServlet

    public BrowseServlet()

Method Detail

### init

    public void init()

  Overrides:
    `init` in class `javax.servlet.GenericServlet`

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      java.io.IOException

  `doGet` - performs the function as mentioned in the class summary. Some assumptions are:
  1. whereFrom holds "browse" or "sell". If "null" I assume its browse.
  2. This is the parent name whose, all childs will be displayed now. If null I assume its at the top of hierarchy i.e. it is the "Product"
  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `HttpServletRequest` - request
    `HttpServletResponse` - response

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       java.io.IOException

  This is empty.
  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `HttpServletRequest` - request
    `HttpServletResponse` - response

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD